using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FormsGenerated.Models.Entities
{
    public class Osoba
    {
        public int Id { get; set; }
        [Required(ErrorMessage = "Podaj swoje imię")]
        public string Imie { get; set; }
        [Required(ErrorMessage = "Podaj swoje nazwisko")]
        public string Nazwisko { get; set; }
        [Required(ErrorMessage = "Podaj swój e-mail")]
        [RegularExpression(".+\\@.+\\..+", ErrorMessage = "Podany e-mail jest niepoprawny")]
        public string Email { get; set; }
        [Required(ErrorMessage = "Podaj kod pocztowy")]
        [RegularExpression("[0-9]{2}-[0-9]{3}", ErrorMessage = "Podany kod pocztowy jest niepoprawny")]
        public string KodPocztowy { get; set; }
    }
}